%global realname mimetypes
%global upstream spawngrid
%global debug_package %{nil}
%global git_tag 0800544
%global patchnumber 0


Name:		erlang-%{realname}
Version:	1.0
Release:	2%{?dist}
Summary:	Erlang MIME types library
Group:		Development/Languages
License:	BSD
URL:		https://github.com/spawngrid/mimetypes
# wget --content-disposition https://github.com/spawngrid/mimetypes/tarball/1.0
Source0:	%{upstream}-%{realname}-%{version}-%{patchnumber}-g%{git_tag}.tar.gz
BuildRequires:	erlang-rebar
Requires:	erlang-compiler%{?_isa}
# Error:erlang(lists:keyfind/3) in R12B and earlier
Requires:	erlang-erts%{?_isa} >= R13B
Requires:	erlang-kernel%{?_isa}
# Error:erlang(erl_scan:token_info/2) in R12B and earlier
# Error:erlang(io_lib:write_unicode_string/1) in R12B and earlier
Requires:	erlang-stdlib%{?_isa} >= R13B
Requires:	erlang-syntax_tools%{?_isa}


%description
Erlang MIME types library.


%prep
%setup -q -n %{upstream}-%{realname}-%{git_tag}
# Remove bundled rebar copy - just to be absolutely sure we won't use it
rm -f rebar


%build
rebar compile -v
rebar doc -v


%install
install -D -p -m 644  ebin/%{realname}.app $RPM_BUILD_ROOT%{_libdir}/erlang/lib/%{realname}-%{version}/ebin/%{realname}.app
install -p -m 644 ebin/%{realname}.beam $RPM_BUILD_ROOT%{_libdir}/erlang/lib/%{realname}-%{version}/ebin/
install -p -m 644 ebin/%{realname}_*.beam $RPM_BUILD_ROOT%{_libdir}/erlang/lib/%{realname}-%{version}/ebin/
install -D -p -m 644 priv/mime.types $RPM_BUILD_ROOT%{_libdir}/erlang/lib/%{realname}-%{version}/priv/mime.types


%check
# Requires PropEr which isn't packaged yet - https://github.com/manopapad/proper
#rebar eunit -v


%files
%doc README.md THANKS doc/
%dir %{_libdir}/erlang/lib/%{realname}-%{version}/
%dir %{_libdir}/erlang/lib/%{realname}-%{version}/ebin/
%dir %{_libdir}/erlang/lib/%{realname}-%{version}/priv/
%{_libdir}/erlang/lib/%{realname}-%{version}/ebin/%{realname}.app
%{_libdir}/erlang/lib/%{realname}-%{version}/ebin/%{realname}.beam
%{_libdir}/erlang/lib/%{realname}-%{version}/ebin/%{realname}_*.beam
%{_libdir}/erlang/lib/%{realname}-%{version}/priv/mime.types


%changelog
* Thu Mar 07 2013 Peter Lemenkov <lemenkov@gmail.com> - 1.0-2
- Ensure that we're using system-wide rebar
- Preserve timestamps while installing

* Fri Jan 25 2013 Peter Lemenkov <lemenkov@gmail.com> - 1.0-1
- Intial build
